org.apache.ignite.internal.util.worker

## Class CycleThread

- java.lang.Object
- - java.lang.Thread
  - - org.apache.ignite.internal.util.worker.CycleThread

All Implemented Interfaces:
  Runnable

    public abstract class CycleThread
    extends Thread

Thread wrapper for standart cycle operations.

### Nested Class Summary

### Nested classes/interfaces inherited from class java.lang.Thread

`Thread.State, Thread.UncaughtExceptionHandler`

### Field Summary

### Fields inherited from class java.lang.Thread

`MAX_PRIORITY, MIN_PRIORITY, NORM_PRIORITY`

### Constructor Summary

Constructors
`protected` `CycleThread(@NotNull String name, long sleepInterval)` Creates new cycle thread with given parameters.

### Method Summary

All Methods Instance Methods Abstract Methods Concrete Methods
`abstract void` `iteration()` Called on each iteration.
`void` `run()`

### Methods inherited from class java.lang.Thread

`activeCount, checkAccess, clone, countStackFrames, currentThread, destroy, dumpStack, enumerate, getAllStackTraces, getContextClassLoader, getDefaultUncaughtExceptionHandler, getId, getName, getPriority, getStackTrace, getState, getThreadGroup, getUncaughtExceptionHandler, holdsLock, interrupt, interrupted, isAlive, isDaemon, isInterrupted, join, join, join, resume, setContextClassLoader, setDaemon, setDefaultUncaughtExceptionHandler, setName, setPriority, setUncaughtExceptionHandler, sleep, sleep, start, stop, stop, suspend, toString, yield`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### CycleThread

    protected CycleThread(@NotNull
                          @NotNull String name,
                          long sleepInterval)

Creates new cycle thread with given parameters.

Parameters:
  `name` - thread name
  `sleepInterval` - sleep interval before each iteration

### Method Detail

#### run

    public final void run()

Specified by:
  `run` in interface `Runnable`
Overrides:
  `run` in class `Thread`

#### iteration

    public abstract void iteration()
                            throws InterruptedException

Called on each iteration.

Throws:
  `InterruptedException` - Еhrows if no specific handling required.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.11.0
Release Date | : September 11 2021